#!/bin/bash

set -euo pipefail

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd -P )"

HOSTS="$(awk '{ sub(/#.*/,""); if (/\S/) print }' $DIR/list.txt)"

HOSTS="$(awk '{ sub(/#.*/,""); if (NF) print }' $DIR/list.txt | sort | uniq)"

for HOST in $HOSTS ; do
    echo "127.0.0.1 $HOST"
done

